Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.xml
Class XmlParser

    java.lang.Object
      org.mortbay.xml.XmlParser

    public class XmlParser

extends java.lang.Object

XML Parser wrapper. This class wraps any standard JAXP1.1 parser with convieniant error and entity handlers and a mini dom-like document tree.

By default, the parser is created as a validating parser only if xerces is present. This can be configured by setting the "org.mortbay.xml.XmlParser.Validating" system property.

Author:
  Greg Wilkins (gregw)

Nested Class Summary
`static class` | `XmlParser.Attribute` XML Attribute.
`static class` | `XmlParser.Node` XML Node.

Constructor Summary
`XmlParser()` Construct
`XmlParser(boolean validating)` Constructor.

Method Summary
`void` | `addContentHandler(java.lang.String trigger, org.xml.sax.ContentHandler observer)` Add a ContentHandler.
`java.lang.String` | `getDTD()`
`java.lang.String` | `getXpath()`
`XmlParser.Node` | `parse(java.io.File file)` Parse File.
`XmlParser.Node` | `parse(org.xml.sax.InputSource source)`
`XmlParser.Node` | `parse(java.io.InputStream in)` Parse InputStream.
`XmlParser.Node` | `parse(java.lang.String url)` Parse String URL.
`void` | `redirectEntity(java.lang.String name, java.net.URL entity)`
`void` | `setValidating(boolean validating)`
`void` | `setXpath(java.lang.String xpath)` Set an XPath A very simple subset of xpath is supported to select a partial tree.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XmlParser

    public XmlParser()

  Construct

### XmlParser

    public XmlParser(boolean validating)

  Constructor.

Method Detail

### setValidating

    public void setValidating(boolean validating)

### redirectEntity

    public void redirectEntity(java.lang.String name,
                               java.net.URL entity)

  Parameters:
    `name` -
    `entity` -

### getXpath

    public java.lang.String getXpath()

  Returns:
    Returns the xpath.

### setXpath

    public void setXpath(java.lang.String xpath)

  Set an XPath A very simple subset of xpath is supported to select a partial tree. Currently only path like "/node1/nodeA | /node1/nodeB" are supported.

  Parameters:
    `xpath` - The xpath to set.

### getDTD

    public java.lang.String getDTD()

### addContentHandler

    public void addContentHandler(java.lang.String trigger,
                                  org.xml.sax.ContentHandler observer)

  Add a ContentHandler. Add an additional _content handler that is triggered on a tag name. SAX events are passed to the ContentHandler provided from a matching start element to the corresponding end element. Only a single _content handler can be registered against each tag.

  Parameters:
    `trigger` - Tag local or q name.
    `observer` - SAX ContentHandler

### parse

    public XmlParser.Node parse(org.xml.sax.InputSource source)
                         throws java.io.IOException,
                                org.xml.sax.SAXException

  Throws:
    `java.io.IOException`
    `org.xml.sax.SAXException`

### parse

    public XmlParser.Node parse(java.lang.String url)
                         throws java.io.IOException,
                                org.xml.sax.SAXException

  Parse String URL.

  Throws:
    `java.io.IOException`
    `org.xml.sax.SAXException`

### parse

    public XmlParser.Node parse(java.io.File file)
                         throws java.io.IOException,
                                org.xml.sax.SAXException

  Parse File.

  Throws:
    `java.io.IOException`
    `org.xml.sax.SAXException`

### parse

    public XmlParser.Node parse(java.io.InputStream in)
                         throws java.io.IOException,
                                org.xml.sax.SAXException

  Parse InputStream.

  Throws:
    `java.io.IOException`
    `org.xml.sax.SAXException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.